/* Data Matrices for VAR analysis
*/

/* Note: we need at least T0 = nlags to initialize the lags of the VAR
*/
nobs = rows(YY);
nvar = cols(YY);

YYV     = YY[1+T0:nobs,.];
XXV     = ones(nobs-T0, 1+nvar*nlags);
ti      = ti[1+T0:nobs,.];

i = 1;
do until i > nlags;
   XXV[.,2+(i-1)*nvar:1+i*nvar] = YY[T0-i+1:nobs-i,.];
   i = i+1;
endo;

nobs = rows(YYV);

YYYY = YYV'*YYV;
XXYY = XXV'*YYV;
XXXX = XXV'*XXV;
