/* filename:    bparapmom.g
** description: posterior mode batch
** created:     11/05/01
*/

new;
cls;

mhrun  = "1";

nburn  = 101;        
/* nburn  = 1;  */
/* Number of initial draws to be discarded 
** use nburn = 1 for draws from prior
** use the equivalent of 20 percent for draws from posterior */

hpdprob     = 0.90;
block_size  = 10000;

/** only the following 2 lines are model dependent **/
#include nkmp_mod.src;
#include nkmp_para.src;
#include nkmp_spec.g;
#include var_spec.g;

#include pathspec.g;

para  = pmsv(msel);
npara = rows(para);
{para,para_names} = psel(para,msel);

/******************************************************** 
** Iterate over lambda
*/

Tind = 1;
do until Tind > 1;

   /********************************************************
   * Import data series
   ********************************************************/

   lamind = 1;
   do until lamind > rows(lamgrid);

      lambda = lamgrid[lamind];
      gosub runproc;

      lamind = lamind+1;

   endo;

   Tind = Tind+1;  

endo;
end;

runproc:

"";
"";
"";
"=========================================================";
"Index L,T" lamind Tind;
"LAMBDA = " lambda;
"---------------------------------------------------------";

#include p_parapmom.g

return;
